Reactivate subscription

Reactivates a previously canceled subscription. Only valid before the subscription has expired.

POST
/sdk/subscriptions/{id}/reactivate

Authorization

Authorization<token>

Bearer token authentication for client-side SDK operations. Format: 'Authorization: Bearer '

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/sdk/subscriptions/string/reactivate" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "externalAccountId": "string",  "planId": "string",  "status": "string",  "period": {    "value": 0,    "unit": "string"  },  "trialEnd": "2019-08-24T14:15:22Z",  "accessEndDate": "2019-08-24T14:15:22Z",  "currentPeriodEnd": "2019-08-24T14:15:22Z",  "nextBillingDate": "2019-08-24T14:15:22Z",  "cancelAtPeriodEnd": true,  "canceledAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "checkoutLinkMetadata": {    "property1": "string",    "property2": "string"  }}

How is this guide?